Skip to main content

updateAsanaConfiguration

Update a configuration for Asana integration

updateAsanaConfiguration(
input: UpdateAsanaConfigurationInput!
): UpdateAsanaConfigurationPayload

Arguments​

updateAsanaConfiguration.input ● UpdateAsanaConfigurationInput! non-null input​

Parameters for UpdateAsanaConfiguration

Type​

UpdateAsanaConfigurationPayload object​

Autogenerated return type of UpdateAsanaConfiguration.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateUpdateAsanaConfiguration($input: UpdateAsanaConfigurationInput!) {\n updateAsanaConfiguration(input: $input) { clientMutationId defectTrackerConfiguration { id asanaDetail { __typename } asset { __typename } } }\n}","variables":{"input":{"scopeIntegrationId":"<scope_integration_id>","statusMappings":[{"internalIssueStatus":"CREATED","externalIssueStatus":"example"}],"workspace":{},"project":{},"id":"example-id"}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute

Resources

By exploring our content, you'll find resources that will enhance your understanding of the importance of a Security Application Program.

Conviso Blog: Explore our blog, which offers a collection of articles and posts covering a wide range of AppSec topics. The content on the blog is primarily in English.

Conviso's YouTube Channel: Access a wealth of informative videos covering various topics related to AppSec. Please note that the content is primarily in Portuguese.